summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarek Kubica2014-06-20 15:00:32 +0200
committerMarek Kubica2014-06-20 15:00:32 +0200
commit4e143f07de96d7b3da15a6ad60b4d80f8c62d09f (patch)
treee1b55f3ce47e0ce5e378f1647c607c8e94d36199
downloadaur-4e143f07de96d7b3da15a6ad60b4d80f8c62d09f.tar.gz
Imported into git
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD37
2 files changed, 54 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..96f412889c5
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = ocaml-zip
+ pkgdesc = zip and gzip library for ocaml
+ pkgver = 1.05
+ pkgrel = 1
+ url = http://cristal.inria.fr/~xleroy/software.html#camlzip
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = ocaml-findlib
+ depends = ocaml
+ depends = zlib
+ options = !strip
+ source = http://forge.ocamlcore.org/frs/download.php/1037/camlzip-1.05.tar.gz
+ md5sums = e85c179d5dc79821e6e8d90e636599f1
+
+pkgname = ocaml-zip
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..565c93ed42c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Serge Zirukin <ftrvxmtrx@gmail.com>
+# Contributor: Sergei Lebedev <superbobry@gmail.com>
+# Contributor: Nicolas Pouillard <nicolas.pouillard@gmail.com>
+# Contributor: Sylvester Johansson <scj(at)archlinux(dot)us>
+pkgname=ocaml-zip
+pkgver=1.05
+pkgrel=1
+pkgdesc="zip and gzip library for ocaml"
+arch=('i686' 'x86_64')
+url="http://cristal.inria.fr/~xleroy/software.html#camlzip"
+license=('GPL')
+depends=('ocaml' 'zlib')
+makedepends=('ocaml-findlib')
+options=(!strip)
+source=(http://forge.ocamlcore.org/frs/download.php/1037/camlzip-$pkgver.tar.gz)
+md5sums=('e85c179d5dc79821e6e8d90e636599f1')
+
+build() {
+ cd "$srcdir/camlzip-$pkgver"
+
+ make all allopt || return 1
+ mkdir -p html
+ ocamldoc -html -d html gzip.mli zip.mli
+}
+
+package() {
+ cd "$srcdir/camlzip-$pkgver"
+
+ export OCAMLFIND_DESTDIR="$pkgdir$(ocamlfind printconf destdir)"
+ export OCAMLFIND_LDCONF="ignore"
+
+ mkdir -p "$OCAMLFIND_DESTDIR/stublibs"
+ ocamlfind install camlzip META *.mli *.cmi *.cma *.cmxa *.a *.so
+ install -Dm 644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE
+ install -d -m 0755 "${pkgdir}/usr/share/doc/$pkgname"
+ install -t "${pkgdir}/usr/share/doc/$pkgname/" html/*
+}